GNU logs - #36945, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Fabrice Popineau <fabrice.popineau@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 06 Aug 2019 09:49:02 +0000
Resent-Message-ID: <handler.36945.B.15650849163912 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36945 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15650849163912
          (code B ref -1); Tue, 06 Aug 2019 09:49:02 +0000
Received: (at submit) by debbugs.gnu.org; 6 Aug 2019 09:48:36 +0000
Received: from localhost ([127.0.0.1]:36510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huw56-000112-4K
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 05:48:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:50397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fabrice.popineau@HIDDEN>) id 1huw54-00010u-ED
 for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 05:48:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36781)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <fabrice.popineau@HIDDEN>) id 1huw52-0003LD-Rs
 for bug-gnu-emacs@HIDDEN; Tue, 06 Aug 2019 05:48:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fabrice.popineau@HIDDEN>) id 1huw51-0002aN-6R
 for bug-gnu-emacs@HIDDEN; Tue, 06 Aug 2019 05:48:32 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333]:36391)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <fabrice.popineau@HIDDEN>)
 id 1huw50-0002Zo-UX
 for bug-gnu-emacs@HIDDEN; Tue, 06 Aug 2019 05:48:31 -0400
Received: by mail-wm1-x333.google.com with SMTP id g67so71676963wme.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 06 Aug 2019 02:48:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=dnYQVZ2hRBRJm2KC+bpEARGR53FsyuaCblNjhZOQqVo=;
 b=tgg+xfm/PXs+fMAGc6eL7XoT+a0ImgQAnwbEiSl7kJjf6F/LEu5FKpeQasgtIKAiwD
 3PgwH3dqkG6oCtOuEsFVPBFSCk2HWoN9ytL4Z8zLL+avqE1CProbddauuQRc+fAnubt5
 nGF5FCr8ZeO51/DcLbM2xnJAnuVRvcsBwKFQD+T4kd9l4TrL6ZUo0XV4uGnqCbg8KvRP
 PL0Pym1pMomjcx4V0iTsvdZ5Lnyp1I3opq3zPXiwt8ufOkbLKirUxTSAQ9ns3jmZojtB
 D97FS6WlaAEYR7IZQkUWwO24puiUxq1fyXnsM7Xg9DqTOqCv6YYI+wsneGRfG4yE+rFT
 S7xA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=dnYQVZ2hRBRJm2KC+bpEARGR53FsyuaCblNjhZOQqVo=;
 b=pLe8lnIsiArHsZLiQeL+2P6EI/NbrHeigOlx1UAze8dEPUZXQzoFy467l2/nceVmDl
 +afatV1c5oMmeESd0fN4ipNH8KFyjy5zSJBW5wRDG2Wms+PWLjb2nPb1+nY8GHHBWIhY
 qMNg+2xmbWJwCto3jL1MX0IzkNIa+OBhL0P1io+7YrarX1q2/xrQaLy0sBMGBd37x9vb
 2xL1+Sv4sFeyB1ku9/95crKI53EbV1E4rRHPBcL1okCBUHERDHVqRrvZofptTFKy/4dU
 kGRsQX3QzWHBocoM7L0FLj0JVrlyQYl8Pr9rMuMWV6RyBUiBUS71mGFYNfNvBiN5I+tk
 MKLQ==
X-Gm-Message-State: APjAAAU4yMeO2ob2Zoj7Adp+1vga2cVwjpLtftw3wRBLRGEpP77Q5z+/
 kv6CXhQGdsRXIFy2CDehWc422mon0K4QpcKZQOwElN5f+is=
X-Google-Smtp-Source: APXvYqxbXd5kClKkjd7qeDZrfp5OAPj+fo/NFeJEH7o4xXZXXry3Zuh5N1byrw7lMpp0V1QO1/rSamTqYjmdAZoVC+U=
X-Received: by 2002:a1c:a514:: with SMTP id o20mr3873946wme.149.1565084908503; 
 Tue, 06 Aug 2019 02:48:28 -0700 (PDT)
MIME-Version: 1.0
From: Fabrice Popineau <fabrice.popineau@HIDDEN>
Date: Tue, 6 Aug 2019 11:48:12 +0200
Message-ID: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000003c6b4058f6fba76"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::333
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000003c6b4058f6fba76
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

read-library-name offers <name> and <name>.elc for each library name.
I expect that .elc names should not be offered.

This is running `emacs -Q`.

However, with a standard configuration using ELPA/MELPA, the situation
is much worse, as I get stuff like:

../
../
../
./
.dir-locals
.elpaignore
.elpaignore
.git
.git

in the list of propositions. These are obviously not library names.

Regards,



In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-07-31 built on Marvin
Repository revision: 1be15d443a0e346351029a90cb04906408b3a75d
Repository branch: wsl
Windowing system distributor 'Moba/X', version 11.0.12004000
System Description: Ubuntu 18.04.2 LTS

Recent messages:
Scanning for dabbrevs...done
user-error: No dynamic expansion for =E2=80=98read-libr=E2=80=99 found
Entering debugger...
Back to top level
Loading find-func...done
Making completion list...
Quit
(".el" ".el.gz")
Type C-x 1 to delete the help window.
Making completion list...
Quit
Configured using:
 'configure --prefix=3D/usr/local --without-imagemagick'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_ALL: C.UTF-8
  value of $LC_CTYPE: C.UTF-8
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs text-property-search time-date subr-x seq byte-opt gv
bytecomp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils completion dos-w32 find-cmd
grep compile comint ansi-color ring find-dired dired dired-loaddefs
thingatpt help-fns radix-tree cl-print debug backtrace help-mode
easymenu find-func cl-loaddefs cl-lib dabbrev tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 85513 6636)
 (symbols 48 7341 1)
 (strings 32 21210 1730)
 (string-bytes 1 656125)
 (vectors 16 11115)
 (vector-slots 8 143137 9722)
 (floats 8 25 50)
 (intervals 56 9262 0)
 (buffers 992 14))

--00000000000003c6b4058f6fba76
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br>read-library-name offers &lt;name&gt; and &lt;=
name&gt;.elc for each library name.<br>I expect that .elc names should not =
be offered.<br><br>This is running `emacs -Q`.<br><br>However, with a stand=
ard configuration using ELPA/MELPA, the situation<br>is much worse, as I ge=
t stuff like:<br><br>../<br>../<br>../<br>./<br>.dir-locals<br>.elpaignore<=
br>.elpaignore<br>.git<br>.git<br><br>in the list of propositions. These ar=
e obviously not library names.<br><br>Regards,<br><br><br><br>In GNU Emacs =
27.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)<br>=C2=A0of 20=
19-07-31 built on Marvin<br>Repository revision: 1be15d443a0e346351029a90cb=
04906408b3a75d<br>Repository branch: wsl<br>Windowing system distributor &#=
39;Moba/X&#39;, version 11.0.12004000<br>System Description: Ubuntu 18.04.2=
 LTS<br><br>Recent messages:<br>Scanning for dabbrevs...done<br>user-error:=
 No dynamic expansion for =E2=80=98read-libr=E2=80=99 found<br>Entering deb=
ugger...<br>Back to top level<br>Loading find-func...done<br>Making complet=
ion list...<br>Quit<br>(&quot;.el&quot; &quot;.el.gz&quot;)<br>Type C-x 1 t=
o delete the help window.<br>Making completion list...<br>Quit<br>Configure=
d using:<br>=C2=A0&#39;configure --prefix=3D/usr/local --without-imagemagic=
k&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG SOUND GPM =
DBUS GSETTINGS GLIB NOTIFY INOTIFY<br>GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N=
_FLT LIBOTF XFT ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS JSON =
PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=A0 value of $LC_ALL: C.=
UTF-8<br>=C2=A0 value of $LC_CTYPE: C.UTF-8<br>=C2=A0 value of $LANG: fr_FR=
.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Lisp I=
nteraction<br><br>Minor modes in effect:<br>=C2=A0 tooltip-mode: t<br>=C2=
=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-indent-=
mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 =
menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-l=
ock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=
=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0=
 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient=
-mark-mode: t<br><br>Load-path shadows:<br>None found.<br><br>Features:<br>=
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml<br>=
mml-sec password-cache epa derived epg epg-config gnus-util rmail<br>rmail-=
loaddefs text-property-search time-date subr-x seq byte-opt gv<br>bytecomp =
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse<br>rfc2231 mail=
abbrev gmm-utils mailheader sendmail rfc2047 rfc2045<br>ietf-drums mm-util =
mail-prsvr mail-utils completion dos-w32 find-cmd<br>grep compile comint an=
si-color ring find-dired dired dired-loaddefs<br>thingatpt help-fns radix-t=
ree cl-print debug backtrace help-mode<br>easymenu find-func cl-loaddefs cl=
-lib dabbrev tooltip eldoc electric<br>uniquify ediff-hook vc-hooks lisp-fl=
oat-type mwheel term/x-win x-win<br>term/common-win x-dnd tool-bar dnd font=
set image regexp-opt fringe<br>tabulated-list replace newcomment text-mode =
elisp-mode lisp-mode<br>prog-mode register page menu-bar rfn-eshadow isearc=
h timer select<br>scroll-bar mouse jit-lock font-lock syntax facemenu font-=
core<br>term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang=
<br>vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932<b=
r>hebrew greek romanian slovak czech european ethiopic indian cyrillic<br>c=
hinese composite charscript charprop case-table epa-hook jka-cmpr-hook<br>h=
elp simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<br>butto=
n faces cus-face macroexp files text-properties overlay sha1 md5<br>base64 =
format env code-pages mule custom widget hashtable-print-readable<br>backqu=
ote threads dbusbind inotify lcms2 dynamic-setting<br>system-font-setting f=
ont-render-setting move-toolbar gtk x-toolkit x<br>multi-tty make-network-p=
rocess emacs)<br><br>Memory information:<br>((conses 16 85513 6636)<br>=C2=
=A0(symbols 48 7341 1)<br>=C2=A0(strings 32 21210 1730)<br>=C2=A0(string-by=
tes 1 656125)<br>=C2=A0(vectors 16 11115)<br>=C2=A0(vector-slots 8 143137 9=
722)<br>=C2=A0(floats 8 25 50)<br>=C2=A0(intervals 56 9262 0)<br>=C2=A0(buf=
fers 992 14))<br></div></div>

--00000000000003c6b4058f6fba76--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Fabrice Popineau <fabrice.popineau@HIDDEN>
Subject: bug#36945: Acknowledgement (27.0.50; read-library-name)
Message-ID: <handler.36945.B.15650849163912.ack <at> debbugs.gnu.org>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
X-Gnu-PR-Message: ack 36945
X-Gnu-PR-Package: emacs
Reply-To: 36945 <at> debbugs.gnu.org
Date: Tue, 06 Aug 2019 09:49:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 36945 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36945: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36945
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 23 Aug 2019 04:56:02 +0000
Resent-Message-ID: <handler.36945.B36945.156653613326016 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Fabrice Popineau <fabrice.popineau@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.156653613326016
          (code B ref 36945); Fri, 23 Aug 2019 04:56:02 +0000
Received: (at 36945) by debbugs.gnu.org; 23 Aug 2019 04:55:33 +0000
Received: from localhost ([127.0.0.1]:38837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i11bp-0006lX-9W
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:55:33 -0400
Received: from quimby.gnus.org ([80.91.231.51]:40342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i11bn-0006lQ-TS
 for 36945 <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:55:32 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i11bk-0003vF-EQ; Fri, 23 Aug 2019 06:55:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
Date: Fri, 23 Aug 2019 06:55:28 +0200
In-Reply-To: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 (Fabrice Popineau's message of "Tue, 6 Aug 2019 11:48:12 +0200")
Message-ID: <875zmoh45b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Fabrice Popineau <fabrice.popineau@HIDDEN> writes: >
 read-library-name
 offers <name> and <name>.elc for each library name. > I expect that .elc
 names should not be offered. > > This is running `emacs -Q`. > > However,
 with a standard configuration usi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fabrice Popineau <fabrice.popineau@HIDDEN> writes:

> read-library-name offers <name> and <name>.elc for each library name.
> I expect that .elc names should not be offered.
>
> This is running `emacs -Q`.
>
> However, with a standard configuration using ELPA/MELPA, the situation
> is much worse, as I get stuff like:
>
> ../
> ../
> ../
> ./
> .dir-locals
> .elpaignore
> .elpaignore
> .git
> .git
>
> in the list of propositions. These are obviously not library names.

The function basically calls this function:

(locate-file-completion-table '("~/src/emacs/trunk/lisp/image") '(".el$") "" nil t)
=> ("compface.el" "compface.elc" "../" "gravatar.elc" "./" "gravatar.el")

And as we can see, the output from that function isn't quite what you'd
expect.  Isn't SUFFIXES supposed to limit the output?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 26 Aug 2019 14:56:02 +0000
Resent-Message-ID: <handler.36945.B36945.15668313178328 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.15668313178328
          (code B ref 36945); Mon, 26 Aug 2019 14:56:02 +0000
Received: (at 36945) by debbugs.gnu.org; 26 Aug 2019 14:55:17 +0000
Received: from localhost ([127.0.0.1]:47071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2GOp-0002AD-AP
	for submit <at> debbugs.gnu.org; Mon, 26 Aug 2019 10:55:17 -0400
Received: from mail-io1-f47.google.com ([209.85.166.47]:35503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1i2GOl-00029v-5b
 for 36945 <at> debbugs.gnu.org; Mon, 26 Aug 2019 10:55:12 -0400
Received: by mail-io1-f47.google.com with SMTP id b10so28924626ioj.2
 for <36945 <at> debbugs.gnu.org>; Mon, 26 Aug 2019 07:55:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=f52nVWD09q4p8f/296LYHMsy9/kwkpgiByGzg0oNHbU=;
 b=WC+QQgBIb3euYDbld3ocMj3F0/ryYRHy8mJ8LmHSKtu+fP+SgGjHuL2CUI3/DdhQhN
 uCNLe4lPTT0/i/MrsAaeu7M/04zO5Z6al2TsxXbZTVEu9f5k+pCmDs05y5Sw4XjaHW6x
 7q5hxEPnsPX7CRr+NT9hk/6AWhrNwvJXKoKLWnJkZc0qo9dsmTJDx3u5IMGw9NCRPap0
 vMtMNRELseZLSZGXkBjze/TJHVb8lpL66xtgwI8L1lwDxfSh7/ICWftJFnPXOp2qrxyM
 Uam/5KO9XwQur2lSPFI82pS6qHua19htF7FdywZrLd5TY0FOt5mXU3Myd/BaEuNXc+sZ
 G0xQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=f52nVWD09q4p8f/296LYHMsy9/kwkpgiByGzg0oNHbU=;
 b=QszxjfEfJlI1ytTlnJGK5ZoCdKffU2FrGdVmCWU7C1yfQ7bBb1+xKQ0ZWj8AL8i5T7
 DA/uNzM3OXMOvNhyR+7LnBpRzHkRJXtPw4WZod49IilMvyHasJRyoarPweoCFZwMNJ2G
 6MWWWJoFD++Bloq5Xm3dlgBY3YURPIh9/kA9XUSlB+E1MH61M3WgnmOHqui56uLC6rk0
 0krTBlNVE9NEjJrY1LDRV7N6zStCCcpi0oqiTXlRf5nj4SIaVCsZiE8DkkbsAg5uFimb
 4ZXBBKIYt5P9421CADLUesPF1cQjnzVhO9cbqW/vJMaL5AQyhwrtssy8oU6DsAzjzAb4
 8hqg==
X-Gm-Message-State: APjAAAVdrqRE/jMBitYxUw7weHPGmvhmKdao3UDmvwsOdtWdnQrQyu5o
 PG1+MWCZl6BqSfieOXrTnk3njqyU
X-Google-Smtp-Source: APXvYqzUJO2lPPvcF0myIbVKdw1OzXmLm8nrkS7KvhmZMS1O3JKWPfSklc5an1okWLEL8aWm4ZujPQ==
X-Received: by 2002:a02:a703:: with SMTP id k3mr17637833jam.12.1566831305327; 
 Mon, 26 Aug 2019 07:55:05 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id g8sm9935530ioc.30.2019.08.26.07.55.04
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 26 Aug 2019 07:55:04 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <875zmoh45b.fsf@HIDDEN>
Date: Mon, 26 Aug 2019 10:55:04 -0400
In-Reply-To: <875zmoh45b.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 23 Aug 2019 06:55:28 +0200")
Message-ID: <858srgj7sn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> (locate-file-completion-table '("~/src/emacs/trunk/lisp/image") '(".el$") "" nil t)
> => ("compface.el" "compface.elc" "../" "gravatar.elc" "./" "gravatar.el")
>
> And as we can see, the output from that function isn't quite what you'd
> expect.  Isn't SUFFIXES supposed to limit the output?

In the context of general file name completion, I guess the idea is that
you might find files with any extension under a directory.  Doesn't make
so much sense for read-library-name though.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 27 Aug 2019 07:49:01 +0000
Resent-Message-ID: <handler.36945.B36945.156689213019180 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.156689213019180
          (code B ref 36945); Tue, 27 Aug 2019 07:49:01 +0000
Received: (at 36945) by debbugs.gnu.org; 27 Aug 2019 07:48:50 +0000
Received: from localhost ([127.0.0.1]:47609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2WDi-0004zI-ID
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:50 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i2WDh-0004z7-1U
 for 36945 <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:49 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i2WDa-0005fj-Kd; Tue, 27 Aug 2019 09:48:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <875zmoh45b.fsf@HIDDEN> <858srgj7sn.fsf@HIDDEN>
Date: Tue, 27 Aug 2019 09:48:42 +0200
In-Reply-To: <858srgj7sn.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 26
 Aug 2019 10:55:04 -0400")
Message-ID: <87lfvf2gmd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Noam Postavsky <npostavs@HIDDEN> writes: > Lars
 Ingebrigtsen
 <larsi@HIDDEN> writes: > >> (locate-file-completion-table
 '("~/src/emacs/trunk/lisp/image")
 >> '(".el$") "" nil t) >> => ("compface.el" "compface.elc" "../"
 "gravatar.elc" "./" " [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> (locate-file-completion-table '("~/src/emacs/trunk/lisp/image")
>> '(".el$") "" nil t)
>> => ("compface.el" "compface.elc" "../" "gravatar.elc" "./" "gravatar.el")
>>
>> And as we can see, the output from that function isn't quite what you'd
>> expect.  Isn't SUFFIXES supposed to limit the output?
>
> In the context of general file name completion, I guess the idea is that
> you might find files with any extension under a directory.  Doesn't make
> so much sense for read-library-name though.

No, I wonder if whoever wrote the code in question thought that SUFFIXES
limited the results...  which it doesn't seem to do.  Those completion
functions are a bit under-documented, though.

I've now rewritten `read-library-name' to not use that function at all,
and instead just complete over all the .el/.el.gz files "manually".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Aug 2019 07:48:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 03:48:57 2019
Received: from localhost ([127.0.0.1]:47612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2WDo-0004zb-TP
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:57 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i2WDl-0004zS-JR
 for control <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1i2WDi-0005g7-VL
 for control <at> debbugs.gnu.org; Tue, 27 Aug 2019 09:48:52 +0200
Date: Tue, 27 Aug 2019 09:48:50 +0200
Message-Id: <87k1az2gm5.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36945
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 36945 fixed close 36945 27.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36945 fixed
close 36945 27.1
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Aug 2019 07:48:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 27 03:48:57 2019
Received: from localhost ([127.0.0.1]:47612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i2WDo-0004zb-TP
	for submit <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:57 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i2WDl-0004zS-JR
 for control <at> debbugs.gnu.org; Tue, 27 Aug 2019 03:48:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1i2WDi-0005g7-VL
 for control <at> debbugs.gnu.org; Tue, 27 Aug 2019 09:48:52 +0200
Date: Tue, 27 Aug 2019 09:48:50 +0200
Message-Id: <87k1az2gm5.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36945
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 36945 fixed close 36945 27.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36945 fixed
close 36945 27.1
quit





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Tue, 24 Sep 2019 11:24:05 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug No longer marked as fixed in versions 27.1 and reopened.
Date: Mon, 14 Sep 2020 11:30:01 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug No longer marked as fixed in versions 27.1 and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Sep 2020 11:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 07:29:18 2020
Received: from localhost ([127.0.0.1]:52901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHmfe-0008LQ-Dt
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:29:18 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kHmfc-0008LE-CS
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:29:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+7VxK6dxPSp16btRS5U5Eny2+XTDAQz4g9yi6Crrq+c=; b=M/465iqml+olHkpH0AJj5UBJ1k
 dW9UUgKvIDho1hmJPT2nAiD9/S4r5+2J2WSdQ1kDuAia+86aYLYnvpzjxTn7DuClqNsjXFDoKiYaX
 MllyZozXM+k4AC4JTV/FhyDh6jrGBcdPEtgPCg9xB20ihapCHZjtaLWYAknCDBl1UbcQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kHmfU-0000mb-KP
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 13:29:10 +0200
Date: Mon, 14 Sep 2020 13:29:07 +0200
Message-Id: <87d02od2bg.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36945
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  reopen 36945 tags 36945 - fixed patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 36945
tags 36945 - fixed patch
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Sep 2020 11:32:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 07:32:23 2020
Received: from localhost ([127.0.0.1]:52910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHmid-0001vJ-76
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:32:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kHmic-0001qm-87
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:32:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=z2nZnMlxu8m1TNIyIf9Jy7cluzZyj5Gkv7j2jP7yTP8=; b=riX1k5y3a36EdOJYYGQZZnoFpq
 S0XPI76z9sVCgpw50Slm3ogmRH6XM9GrvC+HwLtZmzn1MKHPGIXvYyoKawiNuCVMRNsUJyx4zfBOJ
 3aBtHq1an6Ab0zBEaKcM0Qy8Nb+tHH0WXl67zhX2GZ2kAH51mz5cMGrVQOLSKdVcDyUI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kHmiU-0000ny-IP
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 13:32:16 +0200
Date: Mon, 14 Sep 2020 13:32:13 +0200
Message-Id: <877dswd26a.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36945
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  unarchive 36945 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

unarchive 36945
quit





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug No longer marked as fixed in versions 27.1 and reopened.
Date: Mon, 14 Sep 2020 11:33:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug No longer marked as fixed in versions 27.1 and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Sep 2020 11:32:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 07:32:28 2020
Received: from localhost ([127.0.0.1]:52913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHmii-0001zp-Dg
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:32:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kHmih-0001uO-Fc
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 07:32:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+7VxK6dxPSp16btRS5U5Eny2+XTDAQz4g9yi6Crrq+c=; b=pLkfMcnxthDOhx7ZN5+pDeGP/i
 liv1zYB7yorXXrMTYXYlfVNz6DlyZLxKkDnXMPsBrfxzmP6BLnRzhKesbL2mdbXzoj/c/aeMPaEqw
 nUj3GNC8sUQPXdQuZ8o56U0Lnh7kHwx2ba1Qxk9xzsD1/1avhxNALXTkQZmcRI+XcAbg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kHmiZ-0000o5-PZ
 for control <at> debbugs.gnu.org; Mon, 14 Sep 2020 13:32:21 +0200
Date: Mon, 14 Sep 2020 13:32:18 +0200
Message-Id: <875z8gd265.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36945
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  reopen 36945 tags 36945 - fixed patch quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 36945
tags 36945 - fixed patch
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 14 Sep 2020 20:47:01 +0000
Resent-Message-ID: <handler.36945.B36945.16001163763921 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Fabrice Popineau <fabrice.popineau@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.16001163763921
          (code B ref 36945); Mon, 14 Sep 2020 20:47:01 +0000
Received: (at 36945) by debbugs.gnu.org; 14 Sep 2020 20:46:16 +0000
Received: from localhost ([127.0.0.1]:56428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHvMe-00011B-He
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 16:46:16 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:32081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1kHvMb-00010x-S2
 for 36945 <at> debbugs.gnu.org; Mon, 14 Sep 2020 16:46:16 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 39F408009D;
 Mon, 14 Sep 2020 16:46:08 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id BC2A680D86;
 Mon, 14 Sep 2020 16:46:06 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1600116366;
 bh=1LtBvNkUkAEcPJTzzyGxc97Ci/q1MSHYG501l9uXs1M=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=eUm4Oac1STlOzSc417G5yPqG+qjdjiiEMqXctJPF3oZ9ftobt1/btFiVfiWrkkPDB
 +Z/S9I5IybQVHvYpO0eWH0tBBJ4eVgaSwoO3DyCZAto6E1eQz0XOifMEMj/O8FIdQz
 PnFKTagYsW3lZEVfYftKw5DiYrrjJKojM16YWkdNxg0xIVZLTza3AMeNpB2RB/fW2i
 Xi+idxorNzzv5a7VxiTo/uoMthbbijvAH51JeuAPY1hRc9rAvwqsZ4ZJZapUbsRX3T
 QkRmiYZOzAzMMjDKFWaegpzQNiyrVX1l16imnuzcN5I0g4igAh8u10RzrntDH4aTOp
 FwnxoKJI/PrqA==
Received: from alfajor (unknown [45.72.232.131])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 5C10B120034;
 Mon, 14 Sep 2020 16:46:06 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
Date: Mon, 14 Sep 2020 16:46:05 -0400
In-Reply-To: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 (Fabrice Popineau's message of "Tue, 6 Aug 2019 11:48:12 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.069 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> read-library-name offers <name> and <name>.elc for each library name.
> I expect that .elc names should not be offered.

I think it should indeed not be displayed when `<name>` is already
listed alongside others, but when the users type `<name> TAB` it would
make sense to list the `.elc` file since it's quite possible that they
want to choose between the `.el` and the `.elc` version of the file.

> .dir-locals
> .elpaignore
> .elpaignore
> .git
> .git
>
> in the list of propositions. These are obviously not library names.

~/.emacs is a common name for a file that can be loaded, so I will
object to it being "obvious".  Also, while `.git` should preferably not
be listed, `.git/` arguably could since you might keep Elisp files in
there.

So I think we should list all directories, but I agree we should
probably strip away all files whose name doesn't end in `.el`, `.elc`,
`.el.gz` (and any other such extension in `load-suffixes`), and we
should ideally only list the extension when it's the only
remaining choice.

Oh, and another reason to keep files that don't just end in `.el` is
when you want to load `foo.el.BAK` or `foo.el~`, so maybe we should only
skip those files which don't have `.el` somewhere in their name :-(


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 15 Sep 2020 12:34:02 +0000
Resent-Message-ID: <handler.36945.B36945.16001731918399 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.16001731918399
          (code B ref 36945); Tue, 15 Sep 2020 12:34:02 +0000
Received: (at 36945) by debbugs.gnu.org; 15 Sep 2020 12:33:11 +0000
Received: from localhost ([127.0.0.1]:57643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIA91-0002BP-5H
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 08:33:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kIA8z-0002Az-Md
 for 36945 <at> debbugs.gnu.org; Tue, 15 Sep 2020 08:33:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pqn0aIMR01+mxP2f+EzpoymXtc2MoAWTATe7fEc5qto=; b=ZsILHJmf/CvEJmnLO20tlncHKA
 OvFCWTN94ZNMxJEEqITqNrIXSOujrUg2s18wvP55mW6r8ynF5rO5Rl2O80tstxpsC/rK8VQ6IdC/a
 mSEgAlEq9cbjgIbvdEDdWUTFqKIcarnW0bV9B6hI/D9zXH4g9hElPnPvD43kdTHyhQeY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kIA8p-00006V-Ug; Tue, 15 Sep 2020 14:33:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAQAAAAB/ecQqAAAABGdBTUEAALGPC/xhBQAAAAJi
 S0dEAAHdihOkAAAACXBIWXMAAA7DAAAOwwHHb6hkAAAAB3RJTUUH5AkPCzUmaBspuQAAABBJREFU
 GNNj+A8GDKMUdSgAT1Qe8M8TmhgAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDktMTVUMTE6NTM6
 MzgrMDA6MDBIuYtMAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTE1VDExOjUzOjM4KzAwOjAw
 OeQz8AAAAABJRU5ErkJggg==
X-Now-Playing: Saito Koji's _433-1_: "433_012"
Date: Tue, 15 Sep 2020 14:32:58 +0200
In-Reply-To: <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 14 Sep 2020 16:46:05 -0400")
Message-ID: <87a6xr9q4l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > ~/.emacs
 is a common name for a file that can be loaded, so I will > object to it
 being "obvious". Also, while `.git` should preferably not > be listed, `.git/`
 arguably could since you might keep E [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> ~/.emacs is a common name for a file that can be loaded, so I will
> object to it being "obvious".  Also, while `.git` should preferably not
> be listed, `.git/` arguably could since you might keep Elisp files in
> there.
>
> So I think we should list all directories, but I agree we should
> probably strip away all files whose name doesn't end in `.el`, `.elc`,
> `.el.gz` (and any other such extension in `load-suffixes`), and we
> should ideally only list the extension when it's the only
> remaining choice.

read-library-name has slightly unclear semantics -- I didn't know that
it was supposed to complete over directory names at all.  Perhaps that
should be mentioned in the doc string?

> Oh, and another reason to keep files that don't just end in `.el` is
> when you want to load `foo.el.BAK` or `foo.el~`, so maybe we should only
> skip those files which don't have `.el` somewhere in their name :-(

Hm...  perhaps the function is just misnamed.  When I want to find a
library, I really do want to complete over the library's name, and
nothing else.  What read-library-name does, however, is file name
completion over load-path, which is something a bit different.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 15 Sep 2020 13:32:02 +0000
Resent-Message-ID: <handler.36945.B36945.16001766782409 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.16001766782409
          (code B ref 36945); Tue, 15 Sep 2020 13:32:02 +0000
Received: (at 36945) by debbugs.gnu.org; 15 Sep 2020 13:31:18 +0000
Received: from localhost ([127.0.0.1]:57761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIB3F-0000cT-Ks
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 09:31:17 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:31545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1kIB3C-0000UV-Ct
 for 36945 <at> debbugs.gnu.org; Tue, 15 Sep 2020 09:31:15 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C88B380B6D;
 Tue, 15 Sep 2020 09:31:08 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C47858009D;
 Tue, 15 Sep 2020 09:31:06 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1600176666;
 bh=We74K2KLOo/s8+R94yAri7HMGfSfFm3k8BzrPcpXgrQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=opQuV/uMOZZ6naXENhkJqu9+L8vw/jGVuCveMZ3o6l2XJqdqeco2569Hria+8KELJ
 jQM9/E0p2Jfk+qlHB32Gvs4M2yn/rmCaVxD6Pyhusw+VEhIZiqfnzPh9u1vqwBOfIp
 uhndQcdzD8sS+LOAGCyKiiAV7PeTtBBNUKoDpEt/p4hIJxK3WNZxSW3iLEqUKPhBAr
 lMX0C1lksJOEaiqh95Aja+GIpTMvXzXKSv0sfPzRZbKEUSU3+5iZHd1MKLLEOsVuU6
 bnfCFjE33P3jz/f2LNPySZQT30nFXu/TzLJ5fyfusCdQkdqQACUdIZlUMvHeLu7Ngs
 WAXN21EWYKcgw==
Received: from alfajor (unknown [45.72.232.131])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 93C5612028A;
 Tue, 15 Sep 2020 09:31:06 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwveen3xj4f.fsf-monnier+emacs@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN> <87a6xr9q4l.fsf@HIDDEN>
Date: Tue, 15 Sep 2020 09:31:05 -0400
In-Reply-To: <87a6xr9q4l.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 15 Sep 2020 14:32:58 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.069 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> read-library-name has slightly unclear semantics -- I didn't know that
> it was supposed to complete over directory names at all.  Perhaps that
> should be mentioned in the doc string?

I take it to mean "read an argument appropriate for `load`".


        Stefan





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 15 Sep 2020 14:49:01 +0000
Resent-Message-ID: <handler.36945.B36945.160018130024675 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, fabrice.popineau@HIDDEN, monnier@HIDDEN
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.160018130024675
          (code B ref 36945); Tue, 15 Sep 2020 14:49:01 +0000
Received: (at 36945) by debbugs.gnu.org; 15 Sep 2020 14:48:20 +0000
Received: from localhost ([127.0.0.1]:60103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kICFo-0006Pu-4D
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 10:48:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kICFm-0006Ph-O3
 for 36945 <at> debbugs.gnu.org; Tue, 15 Sep 2020 10:48:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46456)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kICFg-0004Re-Ro; Tue, 15 Sep 2020 10:48:12 -0400
Received: from [176.228.60.248] (port=2320 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kICFg-0002hQ-60; Tue, 15 Sep 2020 10:48:12 -0400
Date: Tue, 15 Sep 2020 17:48:19 +0300
Message-Id: <83sgbj85ak.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87a6xr9q4l.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 15 Sep 2020 14:32:58 +0200)
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN> <87a6xr9q4l.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 15 Sep 2020 14:32:58 +0200
> Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
> 
> Hm...  perhaps the function is just misnamed.  When I want to find a
> library, I really do want to complete over the library's name, and
> nothing else.

Since load-library must support the use case when the user forces to
load the .el file, not the .elc file, read-library-name must allow
library names with extensions, I think.  IOW, the "library" in this
context is just the basename of its file name, with or without the
extension.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36945: 27.0.50; read-library-name
Resent-From: Drew Adams <drew.adams@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 15 Sep 2020 15:33:01 +0000
Resent-Message-ID: <handler.36945.B36945.160018395413235 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36945
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Cc: 36945 <at> debbugs.gnu.org, Fabrice Popineau <fabrice.popineau@HIDDEN>
Received: via spool by 36945-submit <at> debbugs.gnu.org id=B36945.160018395413235
          (code B ref 36945); Tue, 15 Sep 2020 15:33:01 +0000
Received: (at 36945) by debbugs.gnu.org; 15 Sep 2020 15:32:34 +0000
Received: from localhost ([127.0.0.1]:60277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kICwb-0003RB-Ib
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 11:32:33 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:34504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kICwX-0003KH-64
 for 36945 <at> debbugs.gnu.org; Tue, 15 Sep 2020 11:32:32 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08FFNZ7D045114;
 Tue, 15 Sep 2020 15:32:23 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=BJuLha76orkv2Zoqd0znhQ7FCP22EQX9q7PcIKqieLc=;
 b=DNyYdNeClU909x4Cz74PF4WBvHQotDxhKDHZpnDLjxyKhiHz+aqRgvsBTHc1B67AsXIq
 NWfi/f0TpbgyJPwblAjAuMe94EHe8IqBGlbQKvEVkCDeL1qa3Pdxh8uQl1j0w3hyhCqf
 GfsY/qALjsKxkIDbR7TTywhep2JcNQo2ZiPFMXNQjdOhj6wKxcDnX4gQDPGWmKTCnp9D
 4VEcubWG7mPaA6ysURzsjkU91JLI8cTHet2QHziW0LsZfxBptB//b3i5YtTy/1wOdOh5
 z3G29CIBZdpXZNBlR2edAxRWzz44WyzC2zsK3ND/ENKN8QfgEgklpY5V8hCGV7WECUKh +g== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 33gnrqwu78-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 15 Sep 2020 15:32:23 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08FFJqvN178637;
 Tue, 15 Sep 2020 15:32:22 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3020.oracle.com with ESMTP id 33hm30ra3p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 15 Sep 2020 15:32:22 +0000
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 08FFWKNi020610;
 Tue, 15 Sep 2020 15:32:21 GMT
MIME-Version: 1.0
Message-ID: <e527e74f-5453-42b2-94a7-ba2ea4a9ce97@default>
Date: Tue, 15 Sep 2020 15:32:19 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
References: <CAFgFV9OrY9LQpbK4GPC1qa76q2zwbEr=ahDM67ehygHrHORx9A@HIDDEN>
 <jwv1rj4yu9n.fsf-monnier+emacs@HIDDEN> <87a6xr9q4l.fsf@HIDDEN>
In-Reply-To: <87a6xr9q4l.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5044.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9745
 signatures=668679
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 bulkscore=0 mlxlogscore=999
 malwarescore=0 mlxscore=0 phishscore=0 adultscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009150128
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9745
 signatures=668679
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 spamscore=0
 lowpriorityscore=0 malwarescore=0 mlxscore=0 bulkscore=0 suspectscore=0
 clxscore=1011 mlxlogscore=999 adultscore=0 priorityscore=1501
 impostorscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2006250000 definitions=main-2009150128
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Hm...  perhaps the function is just misnamed.  When I want to find a
> library, I really do want to complete over the library's name, and
> nothing else.  What read-library-name does, however, is file name
> completion over load-path, which is something a bit different.

I don't think the name is bad.  It's just that we have
different ideas of what a "library name" is.  The same
thing happens with file names.  You're talking about a
sort of "base" name.

My suggestion: Improve the `read-library-name' doc to
make clear what it does (whatever you think isn't clear
enough).  And then provide another function that does
what you were wanting/expecting.

Or if you find an easy way to get the behavior you want
as optional behavior by tweaking `read-library-name',
make that change, so the same function can do both things.





Last modified: Tue, 15 Sep 2020 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.